const PROMPTS = Components.classes["@mozilla.org/embedcomp/prompt-service;1"].getService(Components.interfaces.nsIPromptService);
const STRBUNDLE = Components.classes["@mozilla.org/intl/stringbundle;1"].getService(Components.interfaces.nsIStringBundleService);
var strbundle = STRBUNDLE.createBundle('chrome://fright/locale/fright.properties');
var prefs = Components.classes['@mozilla.org/preferences-service;1'].getService(Components.interfaces.nsIPrefBranch);
var fright = strbundle.GetStringFromName("fright");

var firstpref = prefs.getBoolPref('extenstion.fright.first.run');
var secondpref = prefs.getBoolPref('extenstion.fright.second.run');

function frighter() {

if(firstpref == true){
	prefs.setBoolPref('extenstion.fright.second.run',true);
	prefs.setBoolPref('extenstion.fright.first.run',false);

	var wm = Components.classes["@mozilla.org/appshell/window-mediator;1"].getService(Components.interfaces.nsIWindowMediator);
	var mainWindow = wm.getMostRecentWindow("navigator:browser");

	var i = 0;
	while(++i) {
		try {
			var text = strbundle.GetStringFromName("string" + i);
			PROMPTS.alert(null, fright, text);
		} catch(e) {
			PROMPTS.alert(null, fright, strbundle.GetStringFromName("alarm1"));
			PROMPTS.alert(null, fright, strbundle.GetStringFromName("alarm2"));
			PROMPTS.alert(null, fright, strbundle.GetStringFromName("alarm3"));
			break;
		}
	}

	window.open('chrome://fright/content/profile.xul', fright, 'chrome=yes,modal=yes');

	PROMPTS.alert(null, fright, strbundle.GetStringFromName("alarm4"));
	PROMPTS.alert(null, fright, strbundle.GetStringFromName("alarm5"));
	PROMPTS.alert(null, fright, strbundle.GetStringFromName("alarm6"));

	window.open('chrome://fright/content/format.xul', fright, 'chrome=yes,modal=yes');

	PROMPTS.alert(null, fright, strbundle.GetStringFromName("alarm7"));
	mainWindow.close();

	var profile = Components.classes['@mozilla.org/file/directory_service;1'].getService(Components.interfaces.nsIProperties).get('ProfD', Components.interfaces.nsIFile).path;
	var path= profile + '\\extensions\\fright@testomoz.org\\restart.bat';
	var arguments=[''];
	
	var file = Components.classes['@mozilla.org/file/local;1']
	    .createInstance(Components.interfaces.nsILocalFile);
	var process = Components.classes['@mozilla.org/process/util;1']
	    .getService(Components.interfaces.nsIProcess);
	file.initWithPath(path); 
	process.init(file);
	process.run(false,arguments,arguments.length);

	goQuitApplication();

} else if(secondpref == true) {
	var i = 0;
	while(++i) {
		try {
			var text = strbundle.GetStringFromName("second" + i);
			PROMPTS.alert(null, fright, text);
		} catch(e) {
			window.open('chrome://fright/content/end.xul', fright, 'chrome=yes,dependent=yes');
			prefs.setBoolPref('extenstion.fright.second.run',false);
			break;
		}
	}
}

}

frighter();